(princ "\nLoading line to pline conversion, please wait...")
(defun c:ln2pline ()
 (setq count 0)
 (princ "\nSelect lines by picking, crossing, or window...")
 (setq ss1 (ssget))
 (setq ss1length (sslength ss1))
 (while (/= ss1length count)
  (setq ent1 (ssname ss1 count))
  (setq count (+ count 1))
  (setq alist (entget ent1))
  (if (= (cdr (assoc 0 alist)) "LINE")
   (progn
    (setq ss2 (ssadd))
    (setq ss2 (ssadd ent1))
    (command "pedit" ss2 "Y")
    (command)
    (princ "\nConverted line to polyline....")
   )
   (progn
    (princ "\nEntity selected is not a line....")
   )
  )
 )
 (princ)
)

(princ "\nLine to Polyline conversion LOADED")
(princ "\nType LN2PLINE at the AutoCAD command line.")
(comand "delay" "1200")
(princ "\n ")
(princ "\n ")
(princ "\n ")
(princ "\nCopyright 1989, DataDraft and Scott Hucke")
(command "delay" "1200")
(princ)
